Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034650
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2016-11-28 17:302017-03-15 20:18
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revisionb3923337f9a6
ProjectionnoneETAnoneTarget Version3.0PR17Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034650: Ability to generate indexes to speed up searching using 'contains' operators

DescriptionAbility to generate indexes to speed up searching using 'contains' (LIKE/ILIKE) operators.

Project info: http://wiki.openbravo.com/wiki/Projects:Support_Indexes_To_Speed_Up_Contains_Search [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00301793.0PR15Q4 closedAugustoMauch DBSourceManager support indexes with functions 
has duplicate defect 0034646 closedcaristu Comments should be queried from user tables 
related to defect 0036862 closedalostale update.database throws NPE in PostgreSQL 9.6 
blocks defect 0035210 closedmarkmm82 sequential scans in c_bpartner using partner selector drop down filter 

-  Notes
(0093319)
hgbot (developer)
2017-01-11 09:03

Repository: erp/devel/dbsm-main
Changeset: 27052c7ed1ac8673e5b6963f1b69dea18874c1cb
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Jan 11 08:42:19 2017 +0100
URL: http://code.openbravo.com/erp/devel/dbsm-main/rev/27052c7ed1ac8673e5b6963f1b69dea18874c1cb [^]

related to issue 34650: Ability to create indexes to speed up 'contains' search

---
M src-test/src/org/openbravo/dbsm/test/base/DbsmTest.java
M src-test/src/org/openbravo/dbsm/test/model/IndexBaseTest.java
M src-test/src/org/openbravo/dbsm/test/model/ModelSuite.java
M src-test/src/org/openbravo/dbsm/test/model/OperatorClassIndexes.java
M src-test/src/org/openbravo/dbsm/test/model/recreation/AddDropConstraints.java
M src/mapping.xml
M src/org/apache/ddlutils/PlatformInfo.java
M src/org/apache/ddlutils/alteration/ModelComparator.java
M src/org/apache/ddlutils/io/DBSMValueSuppressionStrategy.java
M src/org/apache/ddlutils/model/Index.java
M src/org/apache/ddlutils/platform/SqlBuilder.java
M src/org/apache/ddlutils/platform/oracle/Oracle8Builder.java
M src/org/apache/ddlutils/platform/oracle/OracleModelLoader.java
M src/org/apache/ddlutils/platform/postgresql/PostgreSqlBuilder.java
M src/org/apache/ddlutils/platform/postgresql/PostgreSqlModelLoader.java
M src/org/apache/ddlutils/platform/postgresql/PostgreSqlPlatform.java
A src-test/model/excludeFilter/excludePgTrgmFunctions.xml
A src-test/model/indexes/CONTAINS_SEARCH_INDEX.xml
A src-test/model/indexes/ICONTAINS_SEARCH_INDEX.xml
A src-test/model/indexes/MULTIPLE_CONTAINS_SEARCH_INDEX.xml
A src-test/model/indexes/PARTIAL_CONTAINS_SEARCH_INDEX.xml
A src-test/src/org/openbravo/dbsm/test/model/ContainsSearchIndexes.java
A src/org/apache/ddlutils/alteration/ContainsSearchIndexInformationChange.java
A src/org/openbravo/ddlutils/util/DBSMContants.java
---
(0093325)
hgbot (developer)
2017-01-11 09:21

Repository: erp/devel/pi
Changeset: b3923337f9a663735bcdd5a3de6d1633ee92a42f
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Jan 11 09:15:48 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b3923337f9a663735bcdd5a3de6d1633ee92a42f [^]

fixes issue 34650: Ability to create indexes to speed up 'contains' search

---
M src-db/database/lib/dbsourcemanager.jar
M src-db/database/model/excludeFilter.xml
M src-db/database/model/prescript-PostgreSql.sql
---
(0093742)
alostale (developer)
2017-01-20 08:11

reviewed within project
(0095080)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-11-28 17:30 caristu New Issue
2016-11-28 17:30 caristu Assigned To => platform
2016-11-28 17:30 caristu Modules => Core
2016-11-28 17:30 caristu Triggers an Emergency Pack => No
2016-11-28 17:31 caristu Description Updated View Revisions
2016-11-28 17:31 caristu Relationship added has duplicate 0034646
2017-01-11 09:03 hgbot Checkin
2017-01-11 09:03 hgbot Note Added: 0093319
2017-01-11 09:21 hgbot Checkin
2017-01-11 09:21 hgbot Note Added: 0093325
2017-01-11 09:21 hgbot Status new => resolved
2017-01-11 09:21 hgbot Resolution open => fixed
2017-01-11 09:21 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b3923337f9a663735bcdd5a3de6d1633ee92a42f [^]
2017-01-11 09:22 caristu Review Assigned To => alostale
2017-01-11 09:22 caristu Target Version => 3.0PR17Q2
2017-01-16 12:34 caristu Assigned To platform => caristu
2017-01-20 08:11 alostale Note Added: 0093742
2017-01-20 08:11 alostale Status resolved => closed
2017-01-20 08:11 alostale Fixed in Version => 3.0PR17Q2
2017-02-09 10:04 alostale Relationship added blocks 0035210
2017-02-09 10:06 alostale Relationship added related to 0030179
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095080
2017-09-15 09:30 caristu Relationship added related to 0036862


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker